This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1464529 - the name of amazon providers aren't synced with the name of their network manager
the name of amazon providers aren't synced with the name of their network man...
Status: ON_QA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.7.0
All All
low Severity low
: GA
: 5.9.0
Assigned To: Marcel Hild
Patrik Holop
ec2:sdn
:
Depends On:
Blocks: 1480288
  Show dependency treegraph
 
Reported: 2017-06-23 12:47 EDT by Felix Dewaleyne
Modified: 2017-10-18 04:49 EDT (History)
9 users (show)

See Also:
Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: AWS


Attachments (Terms of Use)

  None (edit)
Description Felix Dewaleyne 2017-06-23 12:47:07 EDT
Description of problem:
the name of amazon providers aren't synced with the name of their networks - if you rename an amazon provider, the name of the network manager associated won't change

Version-Release number of selected component (if applicable):
5.7.2.1

How reproducible:
all the time (customer environment)

Steps to Reproduce:
1. Add a new AWS provider: Compute/Cloud/Providers -> Configuration/Add a new cloud provider -> Insert provider data.
2. Verification that the provider validates and collects information.
3. Modify the provider: Inside the provider -> Configuration / Edit this cloud Provider -> Change the name / Validate / Save.


Actual results:
 from the provider url (ems_cloud/1000000000001) we can see how the name of the provider is modified, but not the name of the Network Manager.

Expected results:
the name of the network manager is kept in sync with the name of the network provider

Additional info:
Comment 3 Marcel Hild 2017-06-29 12:49:02 EDT
This also ties into http://talk.manageiq.org/t/rethinking-providers-and-managers/2494/5 
Maybe the name of the provider should be taken from the parent manager until we figure out a better way of organizing the relationships
So maybe just delegate the `name` attr_reader method to the parent_manager will solve this. In the end its just a display thing
Comment 4 Marcel Hild 2017-09-28 13:12:19 EDT
delegating to parent_manager: https://github.com/ManageIQ/manageiq/pull/16067

Note You need to log in before you can comment on or make changes to this bug.